CREATE procedure [C6StagingPeriodico].[RP_ST_Parentela_pre_selective]
as
begin
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Parentela_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_Parentela
	--insert into C6StagingPeriodico.RP_Parentela
	--select 
	--chiaveClientePB1,
	--chiaveClientePB2,
	--idParentela     ,
	--dtMatrimonio    ,
	--aCarico         ,
	--dtCensimento    ,
	--dtFine           
 --   from 	 [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Parentela
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Parentela_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Parentela_pre_selective'
		)
end